Bug 539435 (CVE-2009-4005) - CVE-2009-4005 kernel: isdn: hfc_usb: fix read buffer overflow
Summary: CVE-2009-4005 kernel: isdn: hfc_usb: fix read buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-4005
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 539436 539437
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-20 06:55 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:33 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 08:40:52 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0076 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-02-02 20:41:06 UTC

Description Eugene Teo (Security Response) 2009-11-20 06:55:04 UTC
The collect_rx_frame function in drivers/isdn/hisax/hfc_usb.c in the Linux kernel before 2.6.32-rc7 allows attackers to have an unspecified impact via a crafted HDLC packet that arrives over ISDN and triggers a buffer under-read.

Upstream commit:
http://git.kernel.org/linus/286e633ef0ff5bb63c07b4516665da8004966fec

Reference:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-4005

Comment 2 Chuck Ebbert 2009-12-08 22:52:32 UTC
Fixed in upstream kernels 2.6.27.40 and 2.6.31.7

Comment 3 Fedora Update System 2009-12-10 22:54:27 UTC
kernel-2.6.27.41-170.2.117.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.27.41-170.2.117.fc10

Comment 4 Fedora Update System 2009-12-11 18:26:07 UTC
kernel-2.6.27.41-170.2.117.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 errata-xmlrpc 2010-02-02 20:41:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0076 https://rhn.redhat.com/errata/RHSA-2010-0076.html


Note You need to log in before you can comment on or make changes to this bug.